---
- hosts: all
  become: true

  tasks:

    - name: install packages
      apt:
        name: 
          - lldpd
          - python
          - python-pip
        state: latest

    - name: make sure rvn config dir exists
      file:
        path: /home/rvn/.config
        state: directory
        owner: rvn
        group: rvn

    - name: install python libs for testing
      pip:
        name: "{{item}}"
      with_items:
        - avocado-framework
        - netifaces
        - dnspython

    - name: install canopy
      shell: dpkg -i /tmp/canopy/build/canopy-server_*_amd64.deb

    - name: install canopy
      shell: dpkg -i /tmp/canopy/build/canopy-client_*_amd64.deb

    - shell: ip link add mzbr type bridge
      ignore_errors: yes
